Bug 1256455 - [abrt] webkitgtk4: gdk_wayland_selection_request_target(): WebKitWebProcess killed by SIGSEGV
[abrt] webkitgtk4: gdk_wayland_selection_request_target(): WebKitWebProcess k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1ba824f82aa880d7d49166e7703...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 11:26 EDT by Алексей Смирнов
Modified: 2017-08-08 08:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:09:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.90 KB, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: cgroup (190 bytes, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: core_backtrace (4.83 KB, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: dso_list (13.44 KB, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: environ (904 bytes, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: maps (66.16 KB, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: mountinfo (3.33 KB, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: open_fds (3.14 KB, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: proc_pid_status (1012 bytes, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2015-08-24 11:26 EDT, Алексей Смирнов
no flags Details

  None (edit)
Description Алексей Смирнов 2015-08-24 11:26:24 EDT
Version-Release number of selected component:
webkitgtk4-2.9.90-1.fc24

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 29
crash_function: gdk_wayland_selection_request_target
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     2399
kernel:         4.2.0-0.rc7.git4.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_wayland_selection_request_target at gdkselection-wayland.c:672
 #1 ffi_call_unix64 at ../src/x86/unix64.S:76
 #2 ffi_call at ../src/x86/ffi64.c:525
 #3 wl_closure_invoke at src/connection.c:945
 #4 dispatch_event at src/wayland-client.c:1175
 #5 dispatch_queue at src/wayland-client.c:1350
 #6 wl_display_dispatch_queue at src/wayland-client.c:1589
 #7 wl_display_dispatch at src/wayland-client.c:1659
 #8 _gdk_wayland_display_queue_events at gdkeventsource.c:165
 #9 gdk_display_get_event at gdkdisplay.c:340
Comment 1 Алексей Смирнов 2015-08-24 11:26:28 EDT
Created attachment 1066481 [details]
File: backtrace
Comment 2 Алексей Смирнов 2015-08-24 11:26:29 EDT
Created attachment 1066482 [details]
File: cgroup
Comment 3 Алексей Смирнов 2015-08-24 11:26:30 EDT
Created attachment 1066483 [details]
File: core_backtrace
Comment 4 Алексей Смирнов 2015-08-24 11:26:32 EDT
Created attachment 1066484 [details]
File: dso_list
Comment 5 Алексей Смирнов 2015-08-24 11:26:33 EDT
Created attachment 1066485 [details]
File: environ
Comment 6 Алексей Смирнов 2015-08-24 11:26:34 EDT
Created attachment 1066486 [details]
File: limits
Comment 7 Алексей Смирнов 2015-08-24 11:26:37 EDT
Created attachment 1066487 [details]
File: maps
Comment 8 Алексей Смирнов 2015-08-24 11:26:38 EDT
Created attachment 1066488 [details]
File: mountinfo
Comment 9 Алексей Смирнов 2015-08-24 11:26:39 EDT
Created attachment 1066489 [details]
File: namespaces
Comment 10 Алексей Смирнов 2015-08-24 11:26:41 EDT
Created attachment 1066490 [details]
File: open_fds
Comment 11 Алексей Смирнов 2015-08-24 11:26:42 EDT
Created attachment 1066491 [details]
File: proc_pid_status
Comment 12 Алексей Смирнов 2015-08-24 11:26:43 EDT
Created attachment 1066492 [details]
File: var_log_messages
Comment 13 Алексей Смирнов 2015-08-24 11:26:45 EDT
Created attachment 1066493 [details]
File: exploitable
Comment 14 Michael Catanzaro 2015-09-25 16:54:17 EDT
gdk_wayland_selection_request_target called with a NULL wl_data_offer....
Comment 15 Jan Kurik 2016-02-24 08:40:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 16 Fedora End Of Life 2017-07-25 15:11:31 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2017-08-08 08:09:54 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.